## cross-binutils 0.14

=== debian/changelog ===
cross-binutils (0.14) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141023-1

 -- wookey <wookey@wookware.org>  Fri, 24 Oct 2014 10:03:11 +0100

cross-binutils (0.13) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141014-1

 -- wookey <wookey@wookware.org>  Fri, 17 Oct 2014 12:33:17 +0100

cross-binutils (0.12) unstable; urgency=low

  * Rebuild using binutils_2.24.51.20141001-3

 -- wookey <wookey@wookware.org>  Sun, 12 Oct 2014 21:48:04 +0100

cross-binutils (0.11) unstable; urgency=low

  * Rebuild using binutils_2.24.51.20141001-2

 -- wookey <wookey@wookware.org>  Sun, 05 Oct 2014 15:34:26 +0100

cross-binutils (0.10) unstable; urgency=low

  * Rebuild using binutils_2.24.51.20141001-1

 -- wookey <wookey@wookware.org>  Thu, 02 Oct 2014 16:02:12 +0100

cross-binutils (0.9) unstable; urgency=low

  * Rebuild using binutils_2.24.51.20140918-1

 -- wookey <wookey@wookware.org>  Fri, 19 Sep 2014 00:33:08 +0100

cross-binutils (0.8) unstable; urgency=low

  * Rebuild using binutils_2.24.51.20140903-1

 -- wookey <wookey@wookware.org>  Mon, 15 Sep 2014 16:53:11 +0100

cross-binutils (0.7) unstable; urgency=medium

  * Rebuild using binutils_2.24.51.20140818-1
  * Change ppc64 to ppc64el

 -- Wookey <wookey@debian.org>  Fri, 29 Aug 2014 03:08:28 +0100

cross-binutils (0.6) unstable; urgency=low

  * Rebuild using binutils binutils_2.24.51.20140814-2
  * Update control file for change from i486-linux-gnu to i586-linux-gnu
  * Add ppc64 target binutils 
  * Use dpkg-vendor instead of lsb-release

 -- wookey <wookey@wookware.org>  Thu, 14 Aug 2014 17:25:04 +0100

cross-binutils (0.5) unstable; urgency=medium

  * Rebuild with current binutils

 -- wookey <wookey@wookware.org>  Mon, 04 Aug 2014 17:43:50 +0000

cross-binutils (0.4) unstable; urgency=medium

  * Rebuild with current binutils
  * Add arm64 as BUILD arch

 -- wookey <wookey@wookware.org>  Fri, 11 Jul 2014 15:34:33 +0000

cross-binutils (0.3) unstable; urgency=low

  * Add mips64el HOST

 -- wookey <wookey@debian.org>  Sun, 06 Jul 2014 22:45:35 +0100

cross-binutils (0.2) unstable; urgency=low

  * Remove 'XB-' from 'Original-Source-Maintainer' header, as it
    does nothing useful
  * Rebuild with current binutils

 -- wookey <wookey@debian.org>  Sat, 05 Jul 2014 23:55:21 +0100

cross-binutils (0.1) unstable; urgency=low

  * Initial release

 -- Wookey <wookey@debian.org>  Sat, 01 Feb 2014 01:04:00 +0100
