## cross-binutils 0.22

=== debian/changelog ===
cross-binutils (0.22) unstable; urgency=medium

  * Rebuild using binutils_2.25-4

 -- Wookey <wookey@debian.org>  Thu, 15 Jan 2015 11:53:35 +0000

cross-binutils (0.21) unstable; urgency=medium

  * Rebuild using binutils_2.25-3

 -- Wookey <wookey@debian.org>  Fri, 26 Dec 2014 01:01:24 +0000

cross-binutils (0.20) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141219-1

 -- Wookey <wookey@debian.org>  Sun, 21 Dec 2014 20:44:05 +0000

cross-binutils (0.19) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141209-1

 -- Wookey <wookey@debian.org>  Thu, 11 Dec 2014 17:50:35 +0000

cross-binutils (0.18) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141128-1

 -- Wookey <wookey@debian.org>  Fri, 28 Nov 2014 17:39:36 +0000

cross-binutils (0.17) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141124-1

 -- wookey <wookey@debian.org>  Mon, 24 Nov 2014 19:06:49 +0000

cross-binutils (0.16) unstable; urgency=low

  * Rebuild using binutils_2.24.90.20141111-2

 -- wookey <wookey@wookware.org>  Tue, 11 Nov 2014 18:54:41 +0000

cross-binutils (0.15) unstable; urgency=medium

  * Rebuild using binutils 2.24.90.20141104-1

 -- wookey <wookey@wookware.org>  Tue, 04 Nov 2014 13:11:40 +0000
