=== debian/control ===
Source: cross-binutils
Section: devel
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Standards-Version: 3.9.5
Build-Depends: binutils-source (>=2.24-4), autoconf, dejagnu, file, lsb-release,
  bison, flex, gettext, texinfo, quilt, xz-utils, python3:any, zlib1g-dev
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=crosstoolchain/cross-binutils.git
Vcs-Git: git://git.debian.org/git/crosstoolchain/cross-binutils

Package: binutils-arm-linux-gnueabihf
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting armhf
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building armhf binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-arm-linux-gnueabi
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting armel
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building armel binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-aarch64-linux-gnu
Architecture: amd64 i386 
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting arm64
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building arm64 binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-mips-linux-gnu
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting mips
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building mips binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-mipsel-linux-gnu
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting mipsel
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building mipsel binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-mips64el-linux-gnuabi64
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting mips64el
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building mips64el binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-powerpc-linux-gnu
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting powerpc
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building powerpc binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-powerpc64le-linux-gnu
Architecture: amd64 i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting ppc64el
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building ppc64el binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-i586-linux-gnu
Architecture: amd64 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting i386
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building i386 binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.

Package: binutils-x86-64-linux-gnu
Architecture:  i386 arm64
Section: devel
Depends: ${misc:Depends}
Description: Cross-binutils (assembler, linker etc) targetting amd64
 This package is the GNU binutils (assembler, linker, strip etc) built
 for cross-building amd64 binaries/packages
 .
 It is built by the cross-binutils package from the normal binutils
 sources.
