## cross-binutils 0.23tanglu1

=== debian/changelog ===
cross-binutils (0.23tanglu1) staging; urgency=medium

  * Add Tanglu support

 -- Jon Severinsson <jon@severinsson.net>  Wed, 08 Apr 2015 18:00:00 +0200
