=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Git: git://git.debian.org/git/crosstoolchain/cross-binutils
 
 Package: binutils-arm-linux-gnueabihf
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting armhf
@@ -20,7 +20,7 @@
  sources.
 
 Package: binutils-arm-linux-gnueabi
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting armel
@@ -31,7 +31,7 @@
  sources.
 
 Package: binutils-aarch64-linux-gnu
-Architecture: amd64 i386 
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting arm64
@@ -42,7 +42,7 @@
  sources.
 
 Package: binutils-mips-linux-gnu
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting mips
@@ -53,7 +53,7 @@
  sources.
 
 Package: binutils-mipsel-linux-gnu
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting mipsel
@@ -64,7 +64,7 @@
  sources.
 
 Package: binutils-mips64el-linux-gnuabi64
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting mips64el
@@ -75,7 +75,7 @@
  sources.
 
 Package: binutils-powerpc-linux-gnu
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting powerpc
@@ -86,7 +86,7 @@
  sources.
 
 Package: binutils-powerpc64le-linux-gnu
-Architecture: amd64 i386 arm64
+Architecture: amd64 i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting ppc64el
@@ -97,7 +97,7 @@
  sources.
 
 Package: binutils-i586-linux-gnu
-Architecture: amd64 arm64
+Architecture: amd64 
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting i386
@@ -108,7 +108,7 @@
  sources.
 
 Package: binutils-x86-64-linux-gnu
-Architecture:  i386 arm64
+Architecture:  i386
 Section: devel
 Depends: ${misc:Depends}
 Description: Cross-binutils (assembler, linker etc) targetting amd64
