=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,15 @@
 
 DISTRO ?= $(shell dpkg-vendor --query Vendor)
 
-# We know the HOST and TARGET arches for Debian and Ubuntu, but not others. 
+# We know the HOST and TARGET arches for Debian, Tanglu and Ubuntu, but not others. 
 ifeq ($(strip $(DISTRO)),)
-  $(error cannot detect distro. Giving up. Set $DISTRO to 'Debian' or 'Ubuntu')
+  $(error cannot detect distro. Giving up. Set $DISTRO to 'Debian', 'Tanglu' or 'Ubuntu')
 else ifeq ($(DISTRO),Debian)
   TARGET_LIST ?= armhf armel arm64 mips mipsel mips64el powerpc ppc64el i386 amd64
   HOST_LIST ?= amd64 i386 arm64
+else ifeq ($(DISTRO),Tanglu)
+  TARGET_LIST ?= armhf armel arm64 mips mipsel mips64el powerpc ppc64el i386 amd64
+  HOST_LIST ?= amd64 i386
 else ifeq ($(DISTRO),Ubuntu)
   TARGET_LIST ?= armhf armel arm64
   HOST_LIST ?= amd64 i386
