## cross-binutils 0.26

=== debian/changelog ===
cross-binutils (0.26) unstable; urgency=medium

  * Add mips64 to target arches (Closes: 786701)
  * Add ppc64el and armhf to host arches (Closes: 785761)

 -- Wookey <wookey@debian.org>  Sun, 24 May 2015 18:24:10 +0100

cross-binutils (0.25) unstable; urgency=medium

  * Use BinNMUs instead of version bump to rebuild aginst latest binutils

 -- Wookey <wookey@debian.org>  Sat, 02 May 2015 22:59:06 +0100

cross-binutils (0.24) unstable; urgency=medium

  * Rebuild using binutils 2.25-6

 -- Wookey <wookey@debian.org>  Sun, 29 Mar 2015 23:23:31 +0000
