=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,15 @@
 
 DISTRO ?= $(shell dpkg-vendor --query Vendor)
 
-# We know the HOST and TARGET arches for Debian, Tanglu and Ubuntu, but not others. 
+# We know the HOST and TARGET arches for Debian and Ubuntu, but not others. 
 ifeq ($(strip $(DISTRO)),)
-  $(error cannot detect distro. Giving up. Set $DISTRO to 'Debian', 'Tanglu' or 'Ubuntu')
+  $(error cannot detect distro. Giving up. Set $DISTRO to 'Debian' or 'Ubuntu')
 else ifeq ($(DISTRO),Debian)
-  TARGET_LIST ?= armhf armel arm64 mips mipsel mips64el powerpc ppc64el i386 amd64
-  HOST_LIST ?= amd64 i386 arm64
-else ifeq ($(DISTRO),Tanglu)
-  TARGET_LIST ?= armhf armel arm64 mips mipsel mips64el powerpc ppc64el i386 amd64
-  HOST_LIST ?= amd64 i386
+  TARGET_LIST ?= armhf armel arm64 mips mips64 mipsel mips64el powerpc ppc64el i386 amd64
+  HOST_LIST ?= amd64 i386 armhf arm64 ppc64el
 else ifeq ($(DISTRO),Ubuntu)
-  TARGET_LIST ?= armhf armel arm64
-  HOST_LIST ?= amd64 i386
+  TARGET_LIST ?= armhf armel arm64 
+  HOST_LIST ?= amd64 i386 arm64 ppc64el
 else
   $(error unknown distro "$(DISTRO)". Nothing will be built.) 
 endif
@@ -146,10 +143,11 @@
 
 
 # Manual convenience rule to update changelog to match current binutils version
-# Works outside build-environment  
+# works outside build-environment  
 update-changelog-external:
 	pkgver=$$( rmadison -a source -s sid binutils |  tail -n 1 | awk '{ print $$1 "_" $$3 }' );\
 	dch -i --no-auto-nmu -D unstable "Rebuild using $$pkgver"
 
+# works inside build environment
 update-changelog:
 	dch -i --no-auto-nmu -D unstable "Rebuild using binutils ${DEB_VER_BINUTILS}"
